Loading...
Searching...
No Matches
QXmppJingleDescription Class Reference

The QXmppJingleDescription class represents descriptions for Jingle elements including media type, streaming source, namespace and payload types. More...

## Public Member Functions

QString | media () const
void | setMedia (const QString &media)
quint32 | ssrc () const
void | setSsrc (quint32 ssrc)
QString | type () const
void | setType (const QString &type)
void | addPayloadType (const QXmppJinglePayloadType &payload)
const QList< QXmppJinglePayloadType > & | payloadTypes () const
void | setPayloadTypes (const QList< QXmppJinglePayloadType > &payloadTypes)

## Detailed Description

The QXmppJingleDescription class represents descriptions for Jingle elements including media type, streaming source, namespace and payload types.

Since
  QXmpp 1.6

## Member Function Documentation

## addPayloadType()

void QXmppJingleDescription::addPayloadType | ( | const QXmppJinglePayloadType & | payload | ) |

Adds a payload type to the list of payload types.

## media()

QString QXmppJingleDescription::media | ( |  | ) | const

Returns the media type.

## payloadTypes()

const QList< QXmppJinglePayloadType > & QXmppJingleDescription::payloadTypes | ( |  | ) | const

Returns a list of payload types.

## setMedia()

void QXmppJingleDescription::setMedia | ( | const QString & | media | ) |

Sets the media type.

## setPayloadTypes()

void QXmppJingleDescription::setPayloadTypes | ( | const QList< QXmppJinglePayloadType > & | payloadTypes | ) |

Sets the list of payload types.

## setSsrc()

void QXmppJingleDescription::setSsrc | ( | quint32 | ssrc | ) |

Sets the streaming source.

## setType()

void QXmppJingleDescription::setType | ( | const QString & | type | ) |

Sets the description namespace.

## ssrc()

quint32 QXmppJingleDescription::ssrc | ( |  | ) | const

Returns the streaming source.

## type()

QString QXmppJingleDescription::type | ( |  | ) | const

Returns the description namespace.

The documentation for this class was generated from the following files:

- QXmppJingleData.h
- QXmppJingleData.cpp